| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
SoPrimitiveVertexCache Class Reference
Inheritance diagram for SoPrimitiveVertexCache:

## Public Types

enum | Arrays { NORMAL = 0x01, TEXCOORD = 0x02, COLOR = 0x04, ALL = (NORMAL|TEXCOORD|COLOR) }

## Public Member Functions

| SoPrimitiveVertexCache (SoState *state)
virtual | ~SoPrimitiveVertexCache ()
void | renderTriangles (SoState *state, const int arrays=ALL) const
void | renderLines (SoState *state, const int arrays=ALL) const
void | renderPoints (SoState *state, const int array=ALL) const
void | addTriangle (const SoPrimitiveVertex *v0, const SoPrimitiveVertex *v1, const SoPrimitiveVertex *v2, const int *pointdetailidx=NULL)
void | addLine (const SoPrimitiveVertex *v0, const SoPrimitiveVertex *v1)
void | addPoint (const SoPrimitiveVertex *v)
int | getNumVertices (void) const
const SbVec3f * | getVertexArray (void) const
const SbVec3f * | getNormalArray (void) const
const SbVec4f * | getTexCoordArray (void) const
const SbVec2f * | getBumpCoordArray (void) const
const uint8_t * | getColorArray (void) const
int | getNumTriangleIndices (void) const
const GLint * | getTriangleIndices (void) const
int32_t | getTriangleIndex (const int idx) const
SbBool | colorPerVertex (void) const
const SbVec4f * | getMultiTextureCoordinateArray (const int unit) const
int | getNumLineIndices (void) const
const GLint * | getLineIndices (void) const
int | getNumPointIndices (void) const
const GLint * | getPointIndices (void) const
void | fit (void)
void | depthSortTriangles (SoState *state)
Public Member Functions inherited from SoCache
| SoCache (SoState *const state)
void | ref (void)
void | unref (SoState *state=NULL)
void | addElement (const SoElement *const elem)
virtual void | addCacheDependency (const SoState *state, SoCache *cache)
virtual SbBool | isValid (const SoState *state) const
const SoElement * | getInvalidElement (const SoState *const state) const
void | invalidate (void)

## Additional Inherited Members

Protected Member Functions inherited from SoCache
virtual void | destroy (SoState *state)
virtual | ~SoCache ()

## Detailed Description

The SoPrimitiveVertexClass is used to cache generated triangles.

## Constructor & Destructor Documentation

SoPrimitiveVertexCache::SoPrimitiveVertexCache | ( | SoState * | state) |  |

Constructor.

SoPrimitiveVertexCache::~SoPrimitiveVertexCache | ( | ) |  |

virtual

Destructor.

The documentation for this class was generated from the following files:

- SoPrimitiveVertexCache.h
- SoPrimitiveVertexCache.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.